Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenContextMenu

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenContributionManager, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenContextMenuImpl

    public interface GenContextMenu

extends GenContributionManager

A representation of the model object 'Gen Context Menu'.

The following features are supported:

- `Context`

See Also:
  `GMFGenPackage.getGenContextMenu()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<GenCommonBase>` `getContext()` Returns the value of the 'Context' reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContributionManager
`getEditorGen, getID, getItems, setID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContext

    org.eclipse.emf.common.util.EList<GenCommonBase> getContext()

  Returns the value of the 'Context' reference list. The list contents are of type `GenCommonBase`.

  If the meaning of the 'Context' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context' reference list.
  See Also:
    `GMFGenPackage.getGenContextMenu_Context()`
  ** Generated **
  Model:
    required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.